export const Marks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  selected_age_group,
  tooltipFormat,
  circleRadius
}) =>
  data.map(function (d) {

    console.log('1 ' + selected_age_group);
    console.log('2 ' + d.AgeGroup);
    console.log(d.AgeGroup === selected_age_group);
    
    if (d.AgeGroup === selected_age_group) {
      
      return (<circle
        className="mark"
        cx={xScale(xValue(d))}
        cy={yScale(yValue(d))}
        r={circleRadius}
      >
        <title>{tooltipFormat(xValue(d))}</title>
      </circle>);
    } else {
      return (<circle
        className="mark"
        cx={xScale(xValue(d))}
        cy={yScale(yValue(d))}
        r={0}
      >
        <title>{tooltipFormat(xValue(d))}</title>
      </circle>);
    }
        

    
  });
